package main

import (
	"fmt"
	"time"
)

func main() {
	// Unix 时间戳（秒级）
	timestamp := int64(1733777199)

	// 将 Unix 时间戳转换为 time.Time 对象
	t := time.Unix(timestamp, 0) // 第二个参数是纳秒，这里设置为 0

	// 格式化输出为 "2006-01-02 15:04:05 UTC" 格式
	fmt.Println("UTC 时间:", t.UTC().Format("2006-01-02 15:04:05 UTC"))

	// 转换为本地时间
	localTime := t.Local()
	fmt.Println("本地时间:", localTime.Format("2006-01-02 15:04:05"))
}
