package request

type DHCPService struct {
	Mode           string   `json:"model"`
	BindInterface  string   `json:"bindInterface"`
	NetworkSegment string   `json:"networkSegment"`
	DefaultGateway string   `json:"defaultGateway"`
	NameServers    []string `json:"nameServers"`
	Hostname       string   `json:"hostname"`
	EnabledIPMI    bool     `json:"enabledIpmi"`
	IPMIUserName   string   `json:"ipmiUsername"`
	IPMIPassword   string   `json:"ipmiPassword"`
	Status         bool     `json:"status"`
	Info           string   `json:"info"`
}
